use std::env::args;
use keyfork_mnemonic_generate::*;

fn main() -> Result<()> {
    let bit_size: usize = args()
        .nth(1)
        .unwrap_or(String::from("256"))
        .parse()
        .expect("Expected integer bit size");
    assert!(
        bit_size == 128 || bit_size == 256,
        "Only 12 or 24 word mnemonics are supported"
    );

    let mnemonic = generate_mnemonic(bit_size)?;

    println!("{mnemonic}");

    Ok(())
}
