use clap::Parser;
use keyfork_derive_util::{request::*, DerivationPath};
use crate::client::Client;

#[derive(Parser, Clone, Debug)]
pub struct Command {
    #[arg(long)]
    pub path: DerivationPath,

    #[arg(long)]
    pub algorithm: DerivationAlgorithm,
}

impl Command {
    pub fn handle(&self) -> super::Result<DerivationResponse> {
        let mut client = Client::discover_socket()?;
        let request = DerivationRequest::new(self.algorithm.clone(), self.path.clone());
        client.request(&request)
    }
}
